#include<iostream>
#include<string>
#include<algorithm>
#include<vector>
#include<climits>

using namespace std;

int main() {
    for (int m, n; cin >> m >> n;) {
        vector<int> a(m), b(n);
        for (int i = 0; i < m; i++) {
            cin >> a[i];
        }
        for (int i = 0; i < n; i++) {
            cin >> b[i];
        }
        sort(a.begin(), a.end());
        sort(b.begin(), b.end());
        if (m > n) {
            swap(a, b);
        }
        int gmin = INT_MAX;
        for (int i = 0; i < m; i++) {
            int j = lower_bound(b.begin(), b.end(), a[i]) - b.begin();
            gmin = min(gmin, abs(a[i] - b[j]));
            if (gmin == 0) {
                break;
            }
        }
        cout << gmin << endl;
    }
    return 0;
}